@echo off











title "Registering SPICE activeX module for python"











echo.





echo.





echo Running makepy on the newly installed SPICE activeX automation server





echo.





echo This will ensure that the python module used for communication with 





echo SPICE is up to date





echo.





echo.











rem Change these 2 paths if the location of makepy and the python





rem spice code 





set makepypath="c:\python27\lib\site-packages\win32com\client"





set spiceaxpath="c:\python27\lib\site-packages\spice"











python.exe "%makepypath%\makepy.py" -o "%spiceaxpath%\spice_activeX.py" SPICE.tlb











echo Registration completed





echo.





echo.











pause











exit